module Main (main) where

import System.Environment
import System.IO
import Network.Socket
import Control.Monad

import Message
import Controller

main :: IO ()
main = do
  [hostname, port_] <- getArgs
  host <- inet_addr hostname
  let port = fromIntegral $ (read port_  :: Integer)
      addr = SockAddrInet port host
  sock <- socket AF_INET Stream defaultProtocol
  setSocketOption sock NoDelay 1
  setSocketOption sock SendBuffer 0
  connect sock addr
  handle <- socketToHandle sock ReadWriteMode
  hSetBuffering handle NoBuffering
  s <- hGetContents handle
  controller handle (readMessages s)
  return ()
